#pragma once

namespace Mix{ namespace Tool{ namespace Dynamics{
	ref class World;
}}}

namespace Mix{ namespace Tool{ namespace Dynamics{ namespace Design{

	public enum class SimulationMode
	{
		Stop,
		Stand,
		Ragdoll,
	};

	public interface class ISimulator
	{
	public:
		property Mix::Tool::Dynamics::World^ World
		{
			virtual Mix::Tool::Dynamics::World^ get( void );
			virtual void set( Mix::Tool::Dynamics::World^ value );
		}

		property Mix::Tool::Dynamics::Design::SimulationMode SimulationMode
		{
			virtual Mix::Tool::Dynamics::Design::SimulationMode get( void );
			virtual void set( Mix::Tool::Dynamics::Design::SimulationMode value );
		}
	};

}}}}
